\ProvidesPackage{mubeamer/patch/mubeamer-c4e}[2020/03/20]
\NeedsTeXFormat{LaTeX2e}

\usepackage{tikz}

% Including the workplace logos emits the following warnings in MikTeX 2.9:
%
%   pdfTeX warning: pdflatex.exe (file ./mubeamer/logo/mubeamer-c4e-link.pdf)
%   PDF inclusion: multiple pdfs with page group included in a single page
%
% The following redefinition silences the warning.
\ifx\pdfsuppresswarningpagegroup\undefined\else
  \pdfsuppresswarningpagegroup=1
\fi

% Publicity requirements of the OP VVV programme dictate that each public
% presentation contains the logo of the Ministry of Education and the EU.
% Therefore we use the custom last page for the presentation with pre-filled
% logos.
\renewcommand\makeoutro{%
  \begingroup
  \setbeamercolor{background canvas}{bg=mubeamer@label}
  \begin{frame}[plain]
    \begin{tikzpicture}[remember picture,overlay]
      \node[xshift=1.75cm, yshift=-1.4cm] at (current page.north west) {
        \includegraphics[height=1.4cm]{\mubeamer@pathname@logo mubeamer-\mubeamer@option@workplace-white}
      };
      \node[xshift=-0.05cm, yshift=-1cm] at (current page.center) {
        \includegraphics[height=1.4cm]{\mubeamer@pathname@logo mubeamer-\mubeamer@option@workplace-opvvv-logo-\mubeamer@option@locale@logo}
      };
      \node[xshift=1.95cm, yshift=0.9cm] at (current page.south west) {
        \includegraphics[height=0.45cm]{\mubeamer@pathname@logo mubeamer-\mubeamer@option@workplace-link}
      };
    \end{tikzpicture}
  \end{frame}
  \endgroup
}
